SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000823SiT!i18npublic2009-07-29 12:302009-08-16 14:39
ReporterTomse 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.45 
Target Version3.50Fixed in Version3.50 
Summary0000823: add_new_note in functions.inc.php needs i18n
Descriptionaround line 4711 for the function
add_new_note "New note by" needs to be i18n

4720 Link = $strLink
4729 Link ID = new string
TagsNo tags attached.
Attached Filespng file icon notes.png [^] (49,650 bytes) 2009-07-29 17:31

- Relationships

-  Notes
User avatar (0001465)
Tomse (developer)
2009-07-29 17:32

Found some more regarding Notes.
Added a screenshot, with red boxes around where it should be i18n
User avatar (0001481)
paulh (administrator)
2009-08-01 18:33

cheers Tomse r5714 resolves these
User avatar (0001490)
ivan (administrator)
2009-08-02 20:13
edited on: 2009-08-02 20:14

r5714 doesn't resolve this because it doesn't use SYSLANG it uses the session language. :-/ That text is inserted into the note itself so it needs to use SYSLANG

edit: strNewNoteByX was the bit I am talking about

User avatar (0001491)
paulh (administrator)
2009-08-02 20:17

I'm confused as that string is only used in the display of the note add bit, the entries in the DB use SYSLANG and the "Not added by" uses the session langiuage as it goes of the userid who added it
User avatar (0001493)
ivan (administrator)
2009-08-02 21:20

ah ok, perhaps I should read more before commenting then. My comment was based off the changelog I saw and I'm very tired after a long journey so I'm probably talking rubbish. I'll look again when my brain is back online.
User avatar (0001508)
ivan (administrator)
2009-08-05 14:56

Yeah it's fixed, I was talking rubbish, sorry.
User avatar (0001686)
ivan (administrator)
2009-08-16 14:39

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-07-29 12:30 Tomse New Issue
2009-07-29 12:46 Tomse Description Updated
2009-07-29 17:31 Tomse File Added: notes.png
2009-07-29 17:32 Tomse Note Added: 0001465
2009-07-29 17:54 ivan Status new => confirmed
2009-07-29 17:54 ivan Target Version => 3.60
2009-07-29 17:54 ivan Target Version 3.60 => 3.50
2009-08-01 18:27 paulh Status confirmed => assigned
2009-08-01 18:27 paulh Assigned To => paulh
2009-08-01 18:33 paulh Note Added: 0001481
2009-08-01 18:33 paulh Status assigned => resolved
2009-08-01 18:33 paulh Resolution open => fixed
2009-08-01 18:33 paulh Fixed in Version => Current SVN
2009-08-02 20:13 ivan Note Added: 0001490
2009-08-02 20:13 ivan Status resolved => assigned
2009-08-02 20:13 ivan Resolution fixed => open
2009-08-02 20:13 ivan Fixed in Version Current SVN =>
2009-08-02 20:14 ivan Note Edited: 0001490
2009-08-02 20:17 paulh Note Added: 0001491
2009-08-02 21:20 ivan Note Added: 0001493
2009-08-03 20:40 paulh Assigned To paulh => ivan
2009-08-05 14:56 ivan Note Added: 0001508
2009-08-05 14:56 ivan Assigned To ivan => paulh
2009-08-05 14:56 ivan Status assigned => resolved
2009-08-05 14:56 ivan Resolution open => fixed
2009-08-05 14:56 ivan Fixed in Version => Current SVN
2009-08-16 13:15 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:39 ivan Note Added: 0001686
2009-08-16 14:39 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker